from pytest_common import pytest, run


@pytest.mark.parametrize(
    "field, value",
    [
        (
                [
                    "------------",
                    ".###.....#..",
                    ".###.##..#..",
                    ".....##.....",
                    ".....##..#..",
                    "............",
                    "............",
                    ".####..####.",
                    ".......####.",
                    ".......####.",
                    "------------",
                ], 6
        ),
        (
                [
                    "-----------",
                    "...........",
                    "...........",
                    "...........",
                    "...........",
                    "...........",
                    "...........",
                    "...........",
                    "-----------",
                ], 0
        ),
        (
                [
                    "-----------",
                    ".#########.",
                    ".#########.",
                    ".#########.",
                    ".#########.",
                    ".#########.",
                    ".#########.",
                    ".#########.",
                    ".#########.",
                    ".#########.",
                    ".#########.",
                    ".#########.",
                    ".#########.",
                    "-----------",
                ], 1
        ),
        (
                [
                    "-------------",
                    ".#.#.#.#.#.#.",
                    ".............",
                    ".#.#.#.#.#.#.",
                    ".............",
                    ".#.#.#.#.#.#.",
                    ".............",
                    ".#.#.#.#.#.#.",
                    ".............",
                    ".#.#.#.#.#.#.",
                    ".............",
                    ".#.#.#.#.#.#.",
                    ".............",
                    ".#.#.#.#.#.#.",
                    "-------------",
                ], 42
        ),
    ]
)
def test_findrect(field, value):
    result = run(
        __file__, 'solution.py',
        input='\n'.join(field)
    )
    assert result.returncode == 0, result.stderr
    assert int(result.stdout) == value
